CREATE TABLE mot_terr_met_subj_area_to_dim (
    TERR_MET_SUBJ_AREA_TO_DIM_ID    NUMBER(18, 0) ,
    TERR_METRIC_SUBJECT_AREA_ID     NUMBER(18, 0)     NOT NULL,
    DIMENSION_CODE                  VARCHAR2(20)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CONFLICT_ID                     NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    TERR_MET_SUBJ_AREA_TO_DIM_ID    NUMBER(18, 0) ,
    TERR_METRIC_SUBJECT_AREA_ID     NUMBER(18, 0)     NOT NULL,
    DIMENSION_CODE                  VARCHAR2(20)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CONFLICT_ID                     NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_mot_terr_met_subj_area_to_dim PRIMARY KEY (TERR_MET_SUBJ_AREA_TO_DIM_ID, TERR_MET_SUBJ_AREA_TO_DIM_ID)
);
